# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 618 28 97
spawnpoint @a[tag=dh.t_primoGiocatore] 617 28 97
spawnpoint @a[tag=dh.t_secondoGiocatore] 619 28 97



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=615,y=29.5,z=94,dx=5,dy=3,dz=5] run tp @s 618.0 29 97.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~ ~-1 ~ minecraft:magma_block run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s si è ustionato camminando su delle pietre ardenti.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if block ~ ~-1 ~ minecraft:magma_block run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl8.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl8.2G dh.o_morti 1

# Spegnimento Fuoco
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run gamemode adventure @s
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run tag @s remove dh.t_vaiInCreativa
execute as @a[tag=dh.t_giocatori,nbt={Fire:296s}] run tag @s add dh.t_vaiInCreativa
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run gamemode creative @s



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_h_livello_8/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_h_livello_8/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_h_livello_8/dh.f.d_effetti

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/h_extra8=false},nbt={Inventory:[{id:"minecraft:netherite_scrap"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/h_extra8=false},nbt={Inventory:[{id:"minecraft:netherite_scrap"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/h_extra8



# CB Titolo
execute if block 614 17 95 minecraft:red_wool run data merge block 615 17 92 {auto:1b}

# CB Indizio e Easter Egg
execute if block 603 28 103 #minecraft:buttons[powered=true] run data merge block 616 17 92 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 616 17 92 {auto:1b}



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi8,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=616,y=32,z=76,distance=..2] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if block 608 34 48 minecraft:air if entity @a[tag=dh.t_giocatori,x=617,y=27,z=97,distance=..11] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 617 17 92 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 617 17 92 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 617 17 92 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 627 33 58 #minecraft:buttons[powered=true] run data merge block 618 17 92 {auto:1b}
execute unless score #Reliquia8 dh.o_reliquie matches 1 if block 616 27 92 #minecraft:buttons[powered=true] run data merge block 618 17 92 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia8,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 620 17 92 {auto:1b}

# CB Anima Fuoco
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 621 17 92 {auto:1b}



# CB Reset Oggetti
execute if block 625 28 99 #minecraft:buttons[powered=true] run data merge block 622 17 92 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti8 dh.o_tempoScorre matches 6000 run setblock 625 28 99 minecraft:oak_button[face=wall,facing=north]
execute if score #ResetOggetti8 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti8 dh.o_tempoScorre matches 6000 run data merge block 625 17 92 {auto:0b}

# Cartello Reset Oggetti
execute if block 625 28 99 minecraft:oak_wall_sign run data merge block 625 28 99 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 647 22 101 #minecraft:buttons[powered=true] run data merge block 623 17 92 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 627 33 58 #minecraft:buttons[powered=true] run data merge block 623 17 92 {auto:1b}

execute if block 616 27 92 #minecraft:buttons[powered=true] if score #Reliquia8 dh.o_reliquie matches 1 run data merge block 623 17 92 {auto:1b}



# CB Ritorno al Livello
execute if block 622 17 95 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 624 17 92 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 622 17 95 minecraft:yellow_wool unless score #Reliquia8 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia8,type=magma_cube] run summon minecraft:magma_cube 618 37 82 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia8"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 622 17 95 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia8,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=619,y=36,z=84,distance=..2] run effect clear @e[tag=dh.t_cassaReliquia8,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 622 17 95 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia8,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=619,y=36,z=84,distance=..2] at @e[tag=dh.t_cassaReliquia8,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia8,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 622 17 95 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia8,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=619,y=36,z=84,distance=..2] run data merge entity @e[tag=dh.t_cassaReliquia8,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 622 17 95 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia8,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=619,y=36,z=84,distance=..2] run setblock 622 17 95 minecraft:lime_wool