# Selezione Giocatori
execute as @a[tag=!dh.t_creatore] unless score @s dh.o_giocatori matches 0.. run scoreboard players add #Giocatori dh.o_giocatori 1
execute as @a[tag=!dh.t_creatore] unless score @s dh.o_giocatori matches 0.. run scoreboard players operation @s dh.o_giocatori = #Giocatori dh.o_giocatori

execute as @a[tag=!dh.t_primoGiocatore,tag=!dh.t_creatore,scores={dh.o_giocatori=1}] run tag @s add dh.t_primoGiocatore
execute as @a[tag=!dh.t_secondoGiocatore,tag=!dh.t_creatore,scores={dh.o_giocatori=2}] run tag @s add dh.t_secondoGiocatore
execute as @a[tag=dh.t_primoGiocatore] unless score @s dh.o_giocatori matches 1 run scoreboard players set @s dh.o_giocatori 1
execute as @a[tag=dh.t_secondoGiocatore] unless score @s dh.o_giocatori matches 2 run scoreboard players set @s dh.o_giocatori 2
execute as @a[tag=dh.t_primoGiocatore,tag=!dh.t_giocatori,tag=!dh.t_creatore] run tag @s add dh.t_giocatori
execute as @a[tag=dh.t_secondoGiocatore,tag=!dh.t_giocatori,tag=!dh.t_creatore] run tag @s add dh.t_giocatori

execute as @a[tag=!dh.t_primoGiocatore,tag=!dh.t_secondoGiocatore,tag=!dh.t_giocatori,tag=!dh.t_spettatore,tag=!dh.t_creatore] run tag @s add dh.t_spettatore


effect give @a[tag=dh.t_giocatori] glowing 1000000 1 true


# Messaggio Spettatore
execute as @a[tag=dh.t_spettatore,tag=!dh.t_messaggio] run tellraw @s {"translate":"\n%s Salve spettatore, ci sono già due persone che partecipano alla mappa, o semplicemente la partita è già iniziata. Non disperare, puoi seguire il gioco in ogni livello da una zona limitata di esso, in modo da non girovagare per la mappa e rivelare il nascondiglio dei pulsanti. Puoi comunque seguire la storia della mappa man mano che prosegue e guardare il gioco in prima persona dalla visuale di un giocatore. Premendo il tasto sinistro del mouse su un giocatore quando è nelle tue vicinanze, è come se fossi tu stesso a giocare. Buona Visione.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute as @a[tag=dh.t_spettatore,tag=!dh.t_messaggio] at @s run playsound minecraft:block.beehive.exit ambient @s ~ ~ ~ 10 2
execute as @a[tag=dh.t_spettatore,tag=!dh.t_messaggio] if entity @a[tag=dh.t_giocatori,scores={dh.o_seqDiscorsi=10..}] run scoreboard players set @s dh.o_seqDiscorsi 10 
execute as @a[tag=dh.t_spettatore,tag=!dh.t_messaggio] run tag @s add dh.t_messaggio



# Cronometro Gioco
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_stopCronometroMappa,type=armor_stand] run scoreboard players set @a[tag=dh.t_giocatori,scores={dh.o_tempoTicTot=21..}] dh.o_tempoTicTot 1
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_stopCronometroMappa,type=armor_stand] run scoreboard players add @a[tag=dh.t_giocatori,scores={dh.o_tempoTicTot=20..}] dh.o_tempoSecTot 1

execute unless score #UnMinuto dh.o_tempoSecTot matches 60 run scoreboard players set #UnMinuto dh.o_tempoSecTot 60
execute unless score #UnOra dh.o_tempoSecTot matches 3600 run scoreboard players set #UnOra dh.o_tempoSecTot 3600

# Cronometro Primo Giocatore
scoreboard players operation #TimerOre1G dh.o_tempoSecTot = @a[tag=dh.t_primoGiocatore] dh.o_tempoSecTot
scoreboard players operation #TimerOre1G dh.o_tempoSecTot /= #UnOra dh.o_tempoSecTot

scoreboard players operation #TimerMinuti1G dh.o_tempoSecTot = @a[tag=dh.t_primoGiocatore] dh.o_tempoSecTot
scoreboard players operation #TimerMinuti1G dh.o_tempoSecTot /= #UnMinuto dh.o_tempoSecTot
scoreboard players operation #TimerMinuti1G dh.o_tempoSecTot %= #UnMinuto dh.o_tempoSecTot

scoreboard players operation #TimerSecondi1G dh.o_tempoSecTot = @a[tag=dh.t_primoGiocatore] dh.o_tempoSecTot
scoreboard players operation #TimerSecondi1G dh.o_tempoSecTot %= #UnMinuto dh.o_tempoSecTot

# Cronometro secondo Giocatore
scoreboard players operation #TimerOre2G dh.o_tempoSecTot = @a[tag=dh.t_secondoGiocatore] dh.o_tempoSecTot
scoreboard players operation #TimerOre2G dh.o_tempoSecTot /= #UnOra dh.o_tempoSecTot

scoreboard players operation #TimerMinuti2G dh.o_tempoSecTot = @a[tag=dh.t_secondoGiocatore] dh.o_tempoSecTot
scoreboard players operation #TimerMinuti2G dh.o_tempoSecTot /= #UnMinuto dh.o_tempoSecTot
scoreboard players operation #TimerMinuti2G dh.o_tempoSecTot %= #UnMinuto dh.o_tempoSecTot

scoreboard players operation #TimerSecondi2G dh.o_tempoSecTot = @a[tag=dh.t_secondoGiocatore] dh.o_tempoSecTot
scoreboard players operation #TimerSecondi2G dh.o_tempoSecTot %= #UnMinuto dh.o_tempoSecTot

# Display Tempo
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_timerAvviato,type=armor_stand] run title @a[tag=dh.t_primoGiocatore] actionbar {"translate":"%s:%s:%s","with":[{"score":{"name":"#TimerOre1G","objective":"dh.o_tempoSecTot"}},{"score":{"name":"#TimerMinuti1G","objective":"dh.o_tempoSecTot"}},{"score":{"name":"#TimerSecondi1G","objective":"dh.o_tempoSecTot"}}]}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_timerAvviato,type=armor_stand] run title @a[tag=dh.t_secondoGiocatore] actionbar {"translate":"%s:%s:%s","with":[{"score":{"name":"#TimerOre2G","objective":"dh.o_tempoSecTot"}},{"score":{"name":"#TimerMinuti2G","objective":"dh.o_tempoSecTot"}},{"score":{"name":"#TimerSecondi2G","objective":"dh.o_tempoSecTot"}}]}



# Cronometro per Livello
scoreboard players set @a[tag=dh.t_giocatori,scores={dh.o_tempoTicLvl=21..}] dh.o_tempoTicLvl 1
scoreboard players add @a[tag=dh.t_giocatori,scores={dh.o_tempoTicLvl=20}] dh.o_tempoSecLvl 1



# Riavvio Discorsi
execute as @a if score @s dh.o_usciteGioco matches 1.. if score @s dh.o_seqDiscorsi matches 0.. run scoreboard players set @s dh.o_seqDiscorsi 10
execute as @a if score @s dh.o_usciteGioco matches 1.. if score @s dh.o_seqDiscorsi matches ..-9995 if entity @a[tag=dh.t_giocatori,scores={dh.o_seqDiscorsi=0..}] run scoreboard players set @s dh.o_seqDiscorsi 10

# Riavvio Discorsi Suoni Livello Extra 3 
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso1,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 42 -623 minecraft:yellow_wool run playsound minecraft:entity.parrot.imitate.witch ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso2,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 41 -623 minecraft:yellow_wool run playsound minecraft:entity.husk.ambient ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso3,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 40 -623 minecraft:yellow_wool run playsound minecraft:entity.cat.beg_for_food ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso4,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 39 -623 minecraft:yellow_wool run playsound minecraft:entity.strider.ambient ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso5,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 38 -623 minecraft:yellow_wool run playsound minecraft:entity.wandering_trader.reappeared ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso6,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 37 -623 minecraft:yellow_wool run playsound minecraft:entity.panda.sneeze ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso7,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 36 -623 minecraft:yellow_wool run playsound minecraft:entity.llama.angry ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso8,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 35 -623 minecraft:yellow_wool run playsound minecraft:entity.zombie_horse.death ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso9,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 34 -623 minecraft:yellow_wool run playsound minecraft:entity.fox.screech ambient @s ~ ~ ~"}}]}
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,tag=dh.t_riavvioDiscorso10,type=armor_stand] run tellraw @s {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 33 -623 minecraft:yellow_wool run playsound minecraft:entity.ravager.roar ambient @s ~ ~ ~"}}]}

# Riavvio Libro Tutorial Gioco Password Livello Extra 3 
execute as @a[tag=dh.t_giocatori,tag=dh.t_cartaRicevuta] if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] run give @s written_book{title:"Tutorial",author:"DragonHeart104",pages:['{"text":" - -- ---===--- -- -\\n\\n\\n         TUTORIAL\\n           GIOCO\\n          PAROLA\\n         D\'ORDINE\\n\\n\\n - -- ---===--- -- -\\n\\n  da DragonHeart104"}','[{"text":" - -- ---===--- -- -"},{"text":"\\n\\n    1° PERSONAGGIO","color":"red"},{"text":"\\n\\n - -- ---===--- -- -"},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Fermo lì."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"24."},{"text":"\\n\\n<Zombie> ","color":"dark_green"},{"text":"12."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Ok, puoi passare."}]','[{"text":" - -- ---===--- -- -"},{"text":"\\n\\n    2° PERSONAGGIO","color":"red"},{"text":"\\n\\n - -- ---===--- -- -"},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Fermo lì."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"10."},{"text":"\\n\\n<Scheletro> ","color":"dark_gray"},{"text":"5."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Ok, puoi passare."}]','[{"text":" - -- ---===--- -- -"},{"text":"\\n\\n    3° PERSONAGGIO","color":"red"},{"text":"\\n\\n - -- ---===--- -- -"},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Fermo lì."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"16."},{"text":"\\n\\n<Villico Zombie> ","color":"gold"},{"text":"7."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Parola d\'ordine sbagliata."}]','[{"text":" - -- ---===--- -- -"},{"text":"\\n\\n    4° PERSONAGGIO","color":"red"},{"text":"\\n\\n - -- ---===--- -- -"},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Fermo lì."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"19."},{"text":"\\n\\n<Creeper> ","color":"green"},{"text":"10."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Ok, puoi passare."}]','[{"text":" - -- ---===--- -- -"},{"text":"\\n\\n    5° PERSONAGGIO","color":"red"},{"text":"\\n\\n - -- ---===--- -- -"},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Fermo lì."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"8."},{"text":"\\n\\n<Ragno> ","color":"black"},{"text":"4."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Ok, puoi passare."}]','[{"text":" - -- ---===--- -- -"},{"text":"\\n\\n        GIOCATORE","color":"red"},{"text":"\\n\\n - -- ---===--- -- -"},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"Fermo lì."},{"text":"\\n\\n<Golem> ","color":"gray"},{"text":"27."}]']}

# Riavvio Battute Livello Extra 3 
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:yellow_wool run setblock -666 42 -623 minecraft:red_wool
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:yellow_wool run tellraw @a {"translate":"\n%s Lo sai qual è l'animale che vive a 700m sotto terra, tutto verde, che mangia i sassi? \n[%s/%s]","with":[{"text":"<DragonHeart104>","color":"gold"},{"text":"SI","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -666 42 -623 minecraft:red_wool run setblock -666 42 -623 minecraft:orange_wool"},"hoverEvent":{"action":"show_text","value":{"text":"Clicca Qui"}}},{"text":"NO","color":"red","clickEvent":{"action":"run_command","value":"/execute if block -666 42 -623 minecraft:red_wool run setblock -666 42 -623 minecraft:yellow_wool"},"hoverEvent":{"action":"show_text","value":{"text":"Clicca Qui"}}}]}

execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:gray_wool run setblock -666 41 -623 minecraft:red_wool
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:gray_wool run tellraw @a {"translate":"\n%s Io e te ci troviamo a Firenze. Tu arrivi dall'alltra parte del pianeta scavando un buco passante dal centro della Terra. Una volta ritornato in superfice dall'altra parte del pianeta, lanci un sasso nel buco, ma a me non arriva. Sai dove si ferma il sasso? \n[%s/%s]","with":[{"text":"<DragonHeart104>","color":"gold"},{"text":"SI","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -666 41 -623 minecraft:red_wool run setblock -666 41 -623 minecraft:orange_wool"},"hoverEvent":{"action":"show_text","value":{"text":"Clicca Qui"}}},{"text":"NO","color":"red","clickEvent":{"action":"run_command","value":"/execute if block -666 41 -623 minecraft:red_wool run setblock -666 41 -623 minecraft:green_wool"},"hoverEvent":{"action":"show_text","value":{"text":"Clicca Qui"}}}]}

execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:pink_concrete run setblock -666 40 -623 minecraft:red_wool
execute as @a if score @s dh.o_usciteGioco matches 1.. if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra3,type=armor_stand] if block -667 42 -623 minecraft:pink_concrete run tellraw @a {"translate":"\n%s La conosci la barzelletta del \"No, neanch'io?\" \n[%s/%s]","with":[{"text":"<DragonHeart104>","color":"gold"},{"text":"SI","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -666 40 -623 minecraft:red_wool run setblock -666 40 -623 minecraft:orange_wool"},"hoverEvent":{"action":"show_text","value":{"text":"Clicca Qui"}}},{"text":"NO","color":"red","clickEvent":{"action":"run_command","value":"/execute if block -666 40 -623 minecraft:red_wool run setblock -666 40 -623 minecraft:green_wool"},"hoverEvent":{"action":"show_text","value":{"text":"Clicca Qui"}}}]}

execute as @a if score @s dh.o_usciteGioco matches 1.. run scoreboard players reset @s dh.o_usciteGioco
execute unless score #Int10 dh.o_seqDiscorsi matches 10 run scoreboard players set #Int10 dh.o_seqDiscorsi 10



# Obiettivo Primario TNT
execute if entity @e[type=tnt] if entity @a[tag=dh.t_giocatori,gamemode=adventure] unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_extra2,type=armor_stand] run kill @e[type=tnt]
execute if entity @e[type=tnt_minecart] if entity @a[tag=dh.t_giocatori,gamemode=adventure] run kill @e[type=tnt_minecart]

execute if entity @e[type=tnt] if entity @a[tag=dh.t_giocatori,gamemode=creative,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_9=false}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @e[type=tnt] if entity @a[tag=dh.t_giocatori,gamemode=creative,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_9=false}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:primari/primario_9

execute if entity @e[type=tnt_minecart] if entity @a[tag=dh.t_giocatori,gamemode=creative,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_9=false}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @e[type=tnt_minecart] if entity @a[tag=dh.t_giocatori,gamemode=creative,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_9=false}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:primari/primario_9

# Obiettivo Isola Extra
execute as @a[tag=dh.t_ottieniCreativa] if entity @s[x=1306,y=104,z=2020,dx=2,dy=2,dz=2,advancements={dh.c_i_15_tesori_minecraftiani:extra/u_extra19=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_ottieniCreativa] if entity @s[x=1306,y=104,z=2020,dx=2,dy=2,dz=2,advancements={dh.c_i_15_tesori_minecraftiani:extra/u_extra19=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:extra/u_extra19
